%define oname   ncursesw

Name:       ruby-%{oname}
Version:    1.4.9
Release:    %mkrel 1
Summary:    Provides access to the functions of the ncurses library
License:    LGPLv2+
Group:      Development/Ruby
URL:        http://ncurses-ruby.berlios.de/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ncursesw-devel
BuildRequires: ncurses-devel

%description
Hacked up version of ncurses gem that supports wide characters and
ruby1.9.2. Original ncurses gem by t-peters@users.berlios.de.

%files
%doc README.md THANKS TODO Changes
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build
chmod -x examples/*

%install
%gem_install
rm -f %{buildroot}%{gem_instdir}/*.so


%changelog
* Sun Nov 15 2015 pterjan <pterjan> 1.4.9-1.mga6
+ Revision: 903309
- Remove the .so from datadir not from arch specific dir

  + tv <tv>
    - adjust file list
    - new release

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4.3-14.mga5
+ Revision: 744860
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4.3-13.mga5
+ Revision: 688880
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.2.4.3-12.mga4
+ Revision: 562030
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.2.4.3-11.mga4
+ Revision: 561452
- Fix gem macros

* Sat Dec 21 2013 pterjan <pterjan> 1.2.4.3-10.mga4
+ Revision: 559649
- Update for new binary extensions location

* Sat Oct 19 2013 umeabot <umeabot> 1.2.4.3-9.mga4
+ Revision: 535608
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.2.4.3-8.mga4
+ Revision: 482252
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.2.4.3-7.mga4
+ Revision: 480055
- Fix file list
- Use gem_setup
- Replace patch2 to patch gemspec

* Fri Feb 08 2013 umeabot <umeabot> 1.2.4.3-6.mga3
+ Revision: 396198
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.2.4.3-5.mga3
+ Revision: 381129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.2.4.3-4.mga3
+ Revision: 313451
- add authors
- fix missing sections
- fix str fmt
- add back ncurses-devel
- rebuild for new ruby

* Tue Mar 22 2011 shikamaru <shikamaru> 1.2.4.3-3.mga1
+ Revision: 75714
- fix license
- buildarch should be noarch for doc

* Tue Mar 22 2011 shikamaru <shikamaru> 1.2.4.3-2.mga1
+ Revision: 75704
- Fix require in examples

* Tue Mar 22 2011 shikamaru <shikamaru> 1.2.4.3-1.mga1
+ Revision: 75628
- imported package ruby-ncursesw


* Fri Mar 18 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.2.4.3-1
- Initial package
